NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Die.ClearanceBuilder Class Reference

Represents a builder that is used to create or edit a NXOpen.Die.Clearance feature. More...

Inheritance diagram for NXOpen.Die.ClearanceBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ClearanceGeometryTypes { Solid, Section }
 Identifies which type of input defines the clearance. More...
 
enum  Types { Gage, Gripper, Lifter }
 Identifies which clearance type is being created in the casting. More...
 

Properties

unsafe double AngleTolerance [get, set]
 Returns or sets the angle tolerance. More...
 
unsafe
NXOpen.Die.DieAttributesBuilder 
Attributes [get]
 Returns the attribute title, value and face color to apply to the clearance faces. More...
 
unsafe
NXOpen.Die.DieDirectionBuilder 
ClearanceDirection [get]
 Returns the direction to use when extruding to create the clearance areas. More...
 
unsafe
NXOpen.Die.ClearanceBuilder.ClearanceGeometryTypes 
ClearanceGeometryType [get, set]
 Returns or sets the input type of the clearance geometry. More...
 
unsafe NXOpen.Expression Distance [get]
 Returns the expression containing the distance value for extrusions when defining the clearance area. More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance. More...
 
unsafe NXOpen.SelectBodyList Geometry [get]
 Returns the solid to use for the basis of the clearance area. More...
 
unsafe NXOpen.Expression Offset [get]
 Returns the expression containing the offset value to apply to create a clearance area around the solid or closed profile definitions. More...
 
unsafe NXOpen.Die.DiePlaneBuilder Orientation [get]
 Returns the projection plane for the closed profiles to define the clearance areas. More...
 
unsafe NXOpen.Section Section [get]
 Returns the closed profile sections to use for the basis of the clearance area. More...
 
unsafe NXOpen.SelectBody Target [get]
 Returns the target solid the clearance will be subtracted from. More...
 
unsafe
NXOpen.Die.ClearanceBuilder.Types 
Type [get, set]
 Returns or sets the identification of the clearance type (NXOpen.Die.ClearanceBuilder.Types.Gage , NXOpen.Die.ClearanceBuilder.Types.Gripper , or NXOpen.Die.ClearanceBuilder.Types.Lifter ) to create in the target solid. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a builder that is used to create or edit a NXOpen.Die.Clearance feature.

To create a new instance of this class, use NXOpen.Die.DieCollection.CreateClearanceBuilder

Default values.

Property Value

ClearanceGeometryType

Solid

Distance.Value

0 (millimeters part), 0 (inches part)

Offset.Value

5 (millimeters part), 0.2 (inches part)

Created in NX7.5.0

Member Enumeration Documentation

Identifies which type of input defines the clearance.

Enumerator
Solid 

The input is solids.

Section 

The input is closed profiles.

Identifies which clearance type is being created in the casting.

Enumerator
Gage 

Clearance will be provided encompassing gage solids.

Gripper 

Clearance will be provided encompassing gripper, or transfer, machinery solids.

Lifter 

Clearance will be provided encompassing interior casting lifting solids.

Property Documentation

unsafe double NXOpen.Die.ClearanceBuilder.AngleTolerance
getset

Returns or sets the angle tolerance.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Die.DieAttributesBuilder NXOpen.Die.ClearanceBuilder.Attributes
get

Returns the attribute title, value and face color to apply to the clearance faces.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.DieDirectionBuilder NXOpen.Die.ClearanceBuilder.ClearanceDirection
get

Returns the direction to use when extruding to create the clearance areas.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.ClearanceBuilder.ClearanceGeometryTypes NXOpen.Die.ClearanceBuilder.ClearanceGeometryType
getset

Returns or sets the input type of the clearance geometry.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.ClearanceBuilder.Distance
get

Returns the expression containing the distance value for extrusions when defining the clearance area.

If the value is 0.0, then a value will be generated from the target solid.

Created in NX7.5.0

License requirements: None.

unsafe double NXOpen.Die.ClearanceBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.SelectBodyList NXOpen.Die.ClearanceBuilder.Geometry
get

Returns the solid to use for the basis of the clearance area.

Only valid when type is NXOpen.Die.ClearanceBuilder.ClearanceGeometryTypes.Solid .

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.ClearanceBuilder.Offset
get

Returns the expression containing the offset value to apply to create a clearance area around the solid or closed profile definitions.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.DiePlaneBuilder NXOpen.Die.ClearanceBuilder.Orientation
get

Returns the projection plane for the closed profiles to define the clearance areas.

Only valid when type is NXOpen.Die.ClearanceBuilder.ClearanceGeometryTypes.Section .

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Die.ClearanceBuilder.Section
get

Returns the closed profile sections to use for the basis of the clearance area.

Only valid when type is NXOpen.Die.ClearanceBuilder.ClearanceGeometryTypes.Section .

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectBody NXOpen.Die.ClearanceBuilder.Target
get

Returns the target solid the clearance will be subtracted from.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.ClearanceBuilder.Types NXOpen.Die.ClearanceBuilder.Type
getset

Returns or sets the identification of the clearance type (NXOpen.Die.ClearanceBuilder.Types.Gage , NXOpen.Die.ClearanceBuilder.Types.Gripper , or NXOpen.Die.ClearanceBuilder.Types.Lifter ) to create in the target solid.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ug_die_design ("Die Design")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.